﻿@import url('https://fonts.googleapis.com/css?family=Outfit');

.fonte_montserrat {
    font-weight: lighter !important;
    font-family: 'Montserrat', sans-serif !important;
    font-size: 12px !important;
}

.texto-grande {
    font-size: 30px !important;
    padding: 30px 0px;
    text-align: center;
}

.text-red {
    font-size: 12px !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.retic {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


input {
    font-size: 12px !important;
    text-transform: uppercase !important;
}



body {
    text-transform: uppercase !important;
}

td {
    font-family: 'Outfit' !important;
}

span {
    font-family: 'Outfit' !important;
}


@media print {

    @page {
        width: 7.62cm;
        height: 5.37cm;
    }

    p {
        line-height: 20px !important;
        margin:0px !important;
    }


    .Cardbarcode {
        font-size: 8px !important;
        /*margin-bottom: 50px !important;*/
        width: 50% !important;
        height: 240px !important;
        float: left !important;
        margin: 0px !important;

        /*border: solid 1px #000 !important;*/
        border-radius: 0px !important;
        padding: 20px !important;
        line-height: 10px !important;
        transform: rotate(180deg);
    }
}

.skin-blue .treeview-menu > li > a {
    color: #fff;
}


.Cardbarcode {
    background-color: #fff;
    margin: 5px;
    padding: 5px;
    color: #000;
    border-radius: 10px
}


.label_string_html {
    border-radius: 0 !important;
    border: none !important;
    border-bottom: solid !important;
    border-bottom-width: 1px !important;
    border-bottom-color: black !important;
}

/*BOTAO ON OFF*/
.switch {
    position: relative;
    display: inline-block;
    width: 35px;
    height: 19px;
    top: 4px;
}

    /* Hide default HTML checkbox */
    .switch input {
        display: none;
    }

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 13px;
        width: 13px;
        left: 4px;
        bottom: 3px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: rgb(255, 45, 22);
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(15px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }


/*FIM  BOTAO ON OFF*/





/*TYPE RANGE*/
input[type=range] {
    height: 23px;
    -webkit-appearance: none;
    margin: 10px 0;
    width: 100%;
}

    input[type=range]:focus {
        outline: none;
    }

    input[type=range]::-webkit-slider-runnable-track {
        width: 100%;
        height: 3px;
        cursor: pointer;
        animate: 0.2s;
        box-shadow: 0px 0px 0px #000000;
        background: #E53925;
        border-radius: 29px;
        border: 0px solid #010101;
    }

    input[type=range]::-webkit-slider-thumb {
        box-shadow: 0px 0px 1px #000031;
        border: 1px solid #00001E;
        height: 16px;
        width: 16px;
        border-radius: 50px;
        background: #E53925;
        cursor: pointer;
        -webkit-appearance: none;
        margin-top: -7px;
    }

    input[type=range]:focus::-webkit-slider-runnable-track {
        background: #E53925;
    }

    input[type=range]::-moz-range-track {
        width: 100%;
        height: 3px;
        cursor: pointer;
        animate: 0.2s;
        box-shadow: 0px 0px 0px #000000;
        background: #E53925;
        border-radius: 29px;
        border: 0px solid #010101;
    }

    input[type=range]::-moz-range-thumb {
        box-shadow: 0px 0px 1px #000031;
        border: 1px solid #00001E;
        height: 16px;
        width: 16px;
        border-radius: 50px;
        background: #E53925;
        cursor: pointer;
    }

    input[type=range]::-ms-track {
        width: 100%;
        height: 3px;
        cursor: pointer;
        animate: 0.2s;
        background: transparent;
        border-color: transparent;
        color: transparent;
    }

    input[type=range]::-ms-fill-lower {
        background: #E53925;
        border: 0px solid #010101;
        border-radius: 58px;
        box-shadow: 0px 0px 0px #000000;
    }

    input[type=range]::-ms-fill-upper {
        background: #E53925;
        border: 0px solid #010101;
        border-radius: 58px;
        box-shadow: 0px 0px 0px #000000;
    }

    input[type=range]::-ms-thumb {
        margin-top: 1px;
        box-shadow: 0px 0px 1px #000031;
        border: 1px solid #00001E;
        height: 16px;
        width: 16px;
        border-radius: 50px;
        background: #E53925;
        cursor: pointer;
    }

    input[type=range]:focus::-ms-fill-lower {
        background: #E53925;
    }

    input[type=range]:focus::-ms-fill-upper {
        background: #E53925;
    }
/*FIM TYPE RANGE*/


#grid {
    /*margin-top: 2.3%;*/
    margin-bottom: 2%;
    box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.34);
}



.alert-danger {
    display: none;
}

.info-box-icon {
    height: 57px;
    line-height: 59px;
}

.info-box {
    min-height: 59px;
    border: 1px solid #ccc;
    margin-bottom: 0px;
}

.info-box-icon {
    cursor: help;
    background-size: 101%;
    background-repeat: no-repeat;
    background-position: center;
}

.bg-aqua:hover {
    background-color: #2c3b41 !important;
}

.info-box-content input.upload {
    position: relative;
    top: 5px;
    cursor: pointer;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
    margin-top: -50px;
    width: 100%;
    height: 50px;
}

.loader {
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 9999999;
    display: none;
}

.select2-container--default .select2-selection--single {
    border: 0px;
    background-color: transparent;
    border-bottom: 1px solid gray;
    border-radius: unset;
    font-family: 'Outfit';
}

.select2-container {
    display: block;
}

.content-header {
    min-height: 43px;
    margin-bottom: 10px;
}

.editid {
    font-size: 16px;
    margin-left: 5px;
}

.inative {
    color: #999 !important;
}

.hidden-lenght {
    display: inline-block;
    width: 180px;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
}


.validation-summary-errors {
    color: red;
}

.field-validation-error {
    color: red;
    position: absolute;
    font-size: 11px;
    padding-left: 20px;
    background-image: url('../images/error.svg');
    background-repeat: no-repeat;
    background-size: 10px 10px;
    background-position: 6px 2px;
}

.bar .input-group {
    margin-bottom: 0px;
}

.bar {
    border-top: 1px solid #D2D6DE;
    border-bottom: 1px solid #D2D6DE;
    padding: 15px;
    background-color: #2c3b41;
    color: white;
    margin-bottom: 15px;
}

    .bar label {
        line-height: 30px;
        margin: 0px;
        padding-left: 0px !important;
    }
/* TABLE ********************************************************/
.table-default tr {
    cursor: pointer;
}

    .table-default tr:hover td {
        background-color: rgba(229, 56, 37, 0.8);
        color: white;
    }

.table-default {
    /*min-height: 300px;*/
    overflow: auto !important;
    margin: 0px;
    padding: 0px;
    width: 100%;
    border: 0px solid rgb(186, 34, 17);
    -moz-border-radius-bottomleft: 2px;
    -webkit-border-bottom-left-radius: 2px;
    border-bottom-left-radius: 2px;
    -moz-border-radius-bottomright: 2px;
    -webkit-border-bottom-right-radius: 2px;
    border-bottom-right-radius: 2px;
    -moz-border-radius-topright: 2px;
    -webkit-border-top-right-radius: 2px;
    border-top-right-radius: 2px;
    -moz-border-radius-topleft: 2px;
    -webkit-border-top-left-radius: 2px;
    border-top-left-radius: 2px;
}

    .table-default table {
        border-collapse: collapse;
        border-spacing: 0;
        width: 99.99%;
        height: 100%;
        margin: 0px;
        padding: 0px;
    }

    .table-default tr:last-child td:last-child {
        -moz-border-radius-bottomright: 2px;
        -webkit-border-bottom-right-radius: 2px;
        border-bottom-right-radius: 2px;
    }

    .table-default table tr:first-child td:first-child {
        -moz-border-radius-topleft: 2px;
        -webkit-border-top-left-radius: 2px;
        border-top-left-radius: 2px;
    }

    .table-default table tr:first-child td:last-child {
        -moz-border-radius-topright: 2px;
        -webkit-border-top-right-radius: 2px;
        border-top-right-radius: 2px;
    }

    .table-default tr:last-child td:first-child {
        -moz-border-radius-bottomleft: 2px;
        -webkit-border-bottom-left-radius: 2px;
        border-bottom-left-radius: 2px;
    }

    .table-default tr:hover td {
    }

    .table-default tr:nth-child(odd) {
        background-color: #ecf0f5;
        line-height: 3px;
    }

    .table-default tr:nth-child(even) {
        background-color: #ffffff;
        line-height: 3px;
    }

    .table-default td {
        vertical-align: middle;
        padding: 10px;
        border: 1px solid #ccc;
        border-width: 0px 1px 1px 0px;
        text-align: left;
        font-size: 12px;
        font-family: Arial;
        font-weight: normal;
        color: #000000;
        line-height: 10px;
    }

    .table-default tr:last-child td {
        border-width: 0px 1px 0px 0px;
    }

    .table-default tr td:last-child {
        border-width: 0px 0px 1px 0px;
    }

    .table-default tr:last-child td:last-child {
        border-width: 0px 0px 0px 0px;
    }

    .table-default tr:first-child td {
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#E53925", endColorstr="#E53925");
        background: -o-linear-gradient(top,#E53925,091f4a);
        line-height: 20px;
        /*background-color: #E53925;*/
        background-color: #FB523A;
        border: 0px solid rgb(186, 34, 17);
        text-align: center;
        border-width: 0px 0px 1px 1px;
        font-size: 11px;
        font-family: Arial;
        font-weight: bold;
        color: #ffffff;
    }

    .table-default tr:first-child:hover td {
        background: -o-linear-gradient(bottom, #E53925 5%, #E53925 100%);
        background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #E53925), color-stop(1, #E53925) );
        background: -moz-linear-gradient( center top, #E53925 5%, #E53925 100% );
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#E53925", endColorstr="#E53925");
        background: -o-linear-gradient(top,#E53925,091f4a);
        background-color: #E53925;
    }

    .table-default tr:first-child td:first-child {
        border-width: 0px 0px 1px 0px;
    }

    .table-default tr:first-child td:last-child {
        border-width: 0px 0px 1px 1px;
    }
/* END TABLE **************************************************************/

/*ISCrOLL********************************************************************/

#scroller {
    position: absolute;
    z-index: 1;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    width: 100%;
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-text-size-adjust: none;
    -moz-text-size-adjust: none;
    -ms-text-size-adjust: none;
    -o-text-size-adjust: none;
    text-size-adjust: none;
}

#wrapper {
    z-index: 1;
    top: 45px;
    bottom: 48px;
    left: 0;
    width: 100%;
    background: #ccc;
    overflow: hidden;
}

/*END SCROLL*/


.animate {
    -animation: spin 1s infinite linear;
    -webkit-animation: spin2 1s infinite linear;
}

@-webkit-keyframes spin2 {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: scale(1) rotate(0deg);
    }

    to {
        transform: scale(1) rotate(360deg);
    }
}


.item_taxa {
    border: 1px solid #aaa;
    border-radius: 4px;
    cursor: default;
    float: left;
    margin-right: 5px;
    margin-top: 5px;
    padding: 10px;
    background-color: #E53925;
    border-color: rgb(186, 34, 17);
    padding: 1px 10px;
    color: #fff;
}

    .item_taxa i {
        float: left;
        margin-top: 3px;
        margin-left: -5px;
        margin-right: 8px;
        color: red;
    }

#taxa_table thead {
    background-color: #E53925;
}

#taxa_table td {
    padding: 5px;
}

#comissao_table thead {
    background-color: #E53925;
}

#comissao_table td {
    padding: 5px;
}

thead td {
    background: rgb(186, 34, 17) !important;
}

.filter-table {
    background: rgb(186, 34, 17);
    font-size: 13px;
    width: 70px;
    position: absolute;
    color: white;
    text-align: center;
    margin-top: -14px;
    margin-left: 10px;
    border-radius: 2px;
    padding-top: 2px;
}

    .filter-table i {
        font-size: 10px;
        margin-right: 2px;
    }

.btn-gallery i {
    margin-right: 10px;
}

#myPromptDescription {
    text-transform: capitalize;
}

[base_library] {
    visibility: hidden;
    cursor: help;
}

.btn-info {
    /*background-color: rgb(186, 34, 17);*/
    background-color: #FB523A;
    border-color: rgb(180, 49, 34);
}

    .btn-info:hover {
        background-color: rgb(255, 106, 0);
        border-color: rgb(180, 49, 34);
    }

.btn-success {
    /*background-color: rgb(255, 45, 22);*/
    background-color: #FB523A;
    border-color: rgb(180, 49, 34);
}

    .btn-success:hover {
        background-color: rgb(255, 106, 0);
        border-color: rgb(180, 49, 34);
    }

td .select2 {
    min-width: 80px;
}

[descorasc='asc']::before {
    content: '▼';
}

[descorasc='desc']::before {
    content: '▲';
}

/************************************************************************************************8*/




/*
 *  STYLE 1
 */

.scroll::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

.scroll::-webkit-scrollbar {
    width: 12px;
    background-color: transparent;
}

.scroll::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: rgb(186, 34, 17);
}


@font-face {
    font-family: 'codbar';
    src: url('../fonts/code128.ttf');
    font-weight: normal;
    font-style: normal;
}

/*QUEBRA LINHA nav IMPRESSAO*/
.quebrapagina {
    page-break-before: always;
    page-break-after: always;
    width:100%; 
}


.form-group input[type="checkbox"] {
    display: block !important; 
}



.text-etiqueta p {
    font-size: 2.0em !important;
    text-align: left;
}




.btn-green {
    background-color: #00a65a !important;
    color:white !important;
}

    .btn-green:hover {
        background-color: #008d4c !important;
        color: white !important;
    }



.compra_pago {
    color: white;
    background-color: #00a65a;
    /*font-weight: bolder;
    padding: 5px;
    border-radius: 8px;
    margin-left: 20px;*/
}


.compra_nao_pago {
    color: white;
    background-color: #ff2d16;
    /*font-weight: bolder;
    padding: 5px;
    border-radius: 8px;
    margin-left: 20px;*/
}

/* Style the Image Used to Trigger the Modal */
#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

    #myImg:hover {
        opacity: 0.7;
    }

/* The Modal (background) */
.modal2 {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content2 {
    margin: auto;
    display: block;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption2 {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content2, #caption2 {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/* The Close Button */
.close2 {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 50px;
    font-weight: bold;
    transition: 0.3s;
}

    .close2:hover,
    .close2:focus {
        color: #bbb;
        text-decoration: none;
        cursor: pointer;
    }

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
    .modal-content2 {
        width: 100%;
    }
}